#
# spec file for package optipng (Version 0.6.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libpng libpng-devel libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           optipng
BuildRequires:  libpng-devel
License:        zlib/libpng License
Group:          Productivity/Archiving/Compression
Summary:        A PNG File Compressor
Version:        0.6.2
Release:        2.3
Url:            http://optipng.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%{version}.tar.bz2
Source1:        macros.optipng
Patch:          optipng-rellocation-security.diff
Patch1:         optipng-suse-paths.diff
Patch2:         optipng-use-after-free.diff

%description
OptiPNG is a PNG optimizer that recompresses image files to a smaller
size, without losing any information. This program also converts
external formats (BMP, GIF, PNM; TIFF support is coming up) to
optimized PNG, and performs PNG integrity checks and corrections.



Authors:
--------
    Cosmin Truta

%debug_package
%prep
%setup -q
%patch -p1
%patch1
%patch2

%build
./configure -with-system-zlib -with-system-libpng
make CFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/rpm/macros.optipng

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%doc FEATURES HISTORY DESIGN TODO CAVEAT
/usr/bin/optipng
/usr/share/man/man1/optipng.1.gz
/etc/rpm/macros.optipng

%changelog
* Thu May 21 2009 - pgajdos@suse.cz
- fixed security: optipng potentionally uses deallocated pointer
  [bnc#505103]
  * use-after-free.diff
* Tue Feb 24 2009 - pgajdos@suse.cz
- version update to 0.6.2, fixes buffer overflow [bnc#447453]
  (CVE-2008-5101)
- fixed reallocation attacks vulnerability [bnc#479067]
  * reallocation-security.diff
* Mon Sep 10 2007 - pgajdos@suse.cz
- package provides %%optipng macro [#309087]
- removed DESTDIR=$RPM_BUILD_ROOT from %%build phase
* Thu Feb 01 2007 - dmueller@suse.de
- update to 0.5.5:
  * Used a previously-missed RGB-to-palette reduction opportunity
  * Fixed conversion of bKGD info during rgb-to-palette reductions.
  * Fixed pre-computation of iterations.
  * Fixed behavior of -out and -dir when changing interlacing.
* Sat Dec 02 2006 - dmueller@suse.de
- add upstream patch to fix handling of true-color RGB images
* Thu Nov 09 2006 - dmueller@suse.de
- Initial package (0.5.4)
